| scorerrunner

## Function

SCORER for ordered pairs of substituted seqs

## Description

**************** EDIT HERE ****************

## Algorithm

**************** EDIT HERE ****************

## Usage

Under development, no final example yet

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-commandpath]       directory  Directory where alignment executables live
      [-goldseqsdir]       dirlist    First directory containing paired traces
      [-testseqsdir]       dirlist    Second directory containing paired traces
      [-scoresoutdir]      outdir     Name of directory containing output scores
      [-scoresoutfilename] string     Name of comma-separated variable file
                                      containing identity scores for pairs of gold
                                      and test sequences directory

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers: (none)
       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-commandpath] (Parameter 1) | Directory where alignment executables live | Directory |
[-goldseqsdir] (Parameter 2) | First directory containing paired traces | Directory with files | .
[-testseqsdir] (Parameter 3) | Second directory containing paired traces | Directory with files | .
[-scoresoutdir] (Parameter 4) | Name of directory containing output scores | Output directory |
[-scoresoutfilename] (Parameter 5) | Name of comma-separated variable file containing identity scores for pairs of gold and test sequences directory | Any string is accepted | scores.csv
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

scorerrunner reads any normal sequence USAs.

Under development, no example input file(s) yet

## Output file format

scorerrunner outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

Under development, no example output file(s) yet

## Data files

**************** EDIT HERE ****************

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
alignrunner | Align sequence pairs in a directory
comparator | Compare contact scores of two sequence alignments
contactalign | Damian Counsell's experimental 2.5-D alignment algorithm
esim4 | Align an mRNA to a genomic DNA sequence
est2genome | Align EST and genomic DNA sequences
nawalign | Damian Counsell's NW implementation
nawalignrunner | Nawalign all sequence pairs in a directory
needle | Needleman-Wunsch global alignment
needlerunner | Needle all sequence pairs in a directory
scorer | Score alignments using structural alignments
stretcher | Finds the best global alignment between two sequences
substitute | Substitute matches into a template
substituterunner | Run SUBSTITUTE on a directory of traces

## Author(s)

Damian Counsell (d.counsell © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None